> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Shareable Asset

> Delete a shareable asset



## OpenAPI

````yaml DELETE /share/{id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.8
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /share/{id}:
    delete:
      tags:
        - Share
      summary: Delete a shareable asset
      description: Delete a shareable asset
      operationId: deleteShareableAsset
      parameters:
        - name: id
          in: path
          required: true
          description: The ID of the shareable asset to delete
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Shareable asset deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: ID of the deleted shareable asset
                  object:
                    type: string
                    enum:
                      - share
                    description: Object type, always 'share'
                required:
                  - id
                  - object
        '404':
          description: Shareable asset not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````